Create a workflow property for a version of a workflow
curl --request POST \
--url https://api.sakari.io/v1/accounts/{accountId}/workflows/{workflowId}/versions/{versionId}/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"created": {
"at": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/workflows/{workflowId}/versions/{versionId}/properties"
payload = {
"name": "<string>",
"created": { "at": "2023-11-07T05:31:56Z" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', created: {at: '2023-11-07T05:31:56Z'}})
};
fetch('https://api.sakari.io/v1/accounts/{accountId}/workflows/{workflowId}/versions/{versionId}/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"name": "<string>",
"created": {
"at": "2023-11-07T05:31:56Z"
}
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}workflows
Create a workflow property for a version of a workflow
POST
/
v1
/
accounts
/
{accountId}
/
workflows
/
{workflowId}
/
versions
/
{versionId}
/
properties
Create a workflow property for a version of a workflow
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
Workflow to apply operations to
Workflow version to apply operations to
Body
application/json
⌘I